﻿using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata;

namespace BlazorApp2.Models
{
    public partial class customerContext : DbContext
    {
        public customerContext()
        {
        }

        public customerContext(DbContextOptions<customerContext> options)
            : base(options)
        {
        }

        public virtual DbSet<CiAssurance> CiAssurance { get; set; }
        public virtual DbSet<PrfUser> PrfUser { get; set; }
        public virtual DbSet<TestAuthRole> TestAuthRole { get; set; }
        public virtual DbSet<TestAuthUser> TestAuthUser { get; set; }
        public virtual DbSet<TtkAccount> TtkAccount { get; set; }
        public virtual DbSet<TtkAccountCat> TtkAccountCat { get; set; }
        public virtual DbSet<TtkActivity> TtkActivity { get; set; }
        public virtual DbSet<TtkFlow> TtkFlow { get; set; }
        public virtual DbSet<TtkHistory> TtkHistory { get; set; }
        public virtual DbSet<TtkServiceRequest> TtkServiceRequest { get; set; }
        public virtual DbSet<TtkTicket> TtkTicket { get; set; }
        public virtual DbSet<TtkTicketHistory> TtkTicketHistory { get; set; }
        public virtual DbSet<TtkTicketView01> TtkTicketView01 { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (!optionsBuilder.IsConfigured)
            {
#warning To protect potentially sensitive information in your connection string, you should move it out of source code. See http://go.microsoft.com/fwlink/?LinkId=723263 for guidance on storing connection strings.
                optionsBuilder.UseSqlServer("server=testsql01;Database=customer;user id=sql_adenisco;password=Modena01*;");
            }
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            modelBuilder.Entity<CiAssurance>(entity =>
            {
                entity.HasKey(e => e.Rowid);

                entity.ToTable("CI_ASSURANCE", "PRODUZIONE");

                entity.Property(e => e.Rowid).HasColumnName("ROWID");

                entity.Property(e => e.Address)
                    .HasColumnName("ADDRESS")
                    .HasMaxLength(150)
                    .IsUnicode(false);

                entity.Property(e => e.Articolo)
                    .HasColumnName("ARTICOLO")
                    .HasMaxLength(100)
                    .IsUnicode(false);

                entity.Property(e => e.Bloccato)
                    .HasColumnName("BLOCCATO")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Bolla)
                    .HasColumnName("BOLLA")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Cap)
                    .HasColumnName("CAP")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.CatNumber)
                    .HasColumnName("CAT_NUMBER")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ChassisScheda)
                    .HasColumnName("CHASSIS_SCHEDA")
                    .HasMaxLength(150)
                    .IsUnicode(false);

                entity.Property(e => e.City)
                    .HasColumnName("CITY")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClienteDiretto)
                    .HasColumnName("CLIENTE_DIRETTO")
                    .HasMaxLength(150)
                    .IsUnicode(false);

                entity.Property(e => e.ClienteIndiretto)
                    .HasColumnName("CLIENTE_INDIRETTO")
                    .HasMaxLength(150)
                    .IsUnicode(false);

                entity.Property(e => e.CodiceSla)
                    .HasColumnName("CODICE_SLA")
                    .HasMaxLength(54)
                    .IsUnicode(false);

                entity.Property(e => e.CompetenceCenter)
                    .HasColumnName("COMPETENCE_CENTER")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Costruttore)
                    .HasColumnName("COSTRUTTORE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Destinatario)
                    .HasColumnName("DESTINATARIO")
                    .HasMaxLength(150)
                    .IsUnicode(false);

                entity.Property(e => e.DiCompetenza)
                    .HasColumnName("DI_COMPETENZA")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Gfs)
                    .HasColumnName("GFS")
                    .HasColumnType("numeric(19, 5)");

                entity.Property(e => e.Host)
                    .HasColumnName("HOST")
                    .HasMaxLength(150)
                    .IsUnicode(false);

                entity.Property(e => e.InCaricoA)
                    .HasColumnName("IN_CARICO_A")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Ordine)
                    .HasColumnName("ORDINE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.OrdineCliente)
                    .HasColumnName("ORDINE_CLIENTE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.OrigineDati)
                    .HasColumnName("ORIGINE_DATI")
                    .HasMaxLength(14)
                    .IsFixedLength();

                entity.Property(e => e.Province)
                    .HasColumnName("PROVINCE")
                    .HasMaxLength(20)
                    .IsUnicode(false);

                entity.Property(e => e.Region)
                    .HasColumnName("REGION")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.RespVendita)
                    .HasColumnName("RESP_VENDITA")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.RigaBolla).HasColumnName("RIGA_BOLLA");

                entity.Property(e => e.RigaOrdine).HasColumnName("RIGA_ORDINE");

                entity.Property(e => e.Sdl)
                    .HasColumnName("SDL")
                    .HasMaxLength(15)
                    .IsUnicode(false);

                entity.Property(e => e.ServiceEnd)
                    .HasColumnName("SERVICE_END")
                    .HasColumnType("datetime");

                entity.Property(e => e.ServiceStart)
                    .HasColumnName("SERVICE_START")
                    .HasColumnType("datetime");

                entity.Property(e => e.Sito)
                    .HasColumnName("SITO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Sla)
                    .HasColumnName("SLA")
                    .HasMaxLength(2500)
                    .IsUnicode(false);

                entity.Property(e => e.Sn)
                    .HasColumnName("SN")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.TipoContratto)
                    .HasColumnName("TIPO_CONTRATTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TipoServizio)
                    .HasColumnName("TIPO_SERVIZIO")
                    .HasMaxLength(50)
                    .IsUnicode(false);
            });

            modelBuilder.Entity<PrfUser>(entity =>
            {
                entity.HasKey(e => new { e.UserId, e.Protocol })
                    .HasName("PK_PRF_USER_1");

                entity.ToTable("PRF_USER", "PRODUZIONE");

                entity.Property(e => e.UserId)
                    .HasColumnName("USER_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.Cap)
                    .HasColumnName("CAP")
                    .HasMaxLength(5)
                    .IsUnicode(false);

                entity.Property(e => e.Cdc)
                    .HasColumnName("CDC")
                    .HasMaxLength(3)
                    .IsUnicode(false);

                entity.Property(e => e.Cell)
                    .HasColumnName("CELL")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.City)
                    .HasColumnName("CITY")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DescCdc)
                    .HasColumnName("DESC_CDC")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Fax)
                    .HasColumnName("FAX")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Indirizzo)
                    .HasColumnName("INDIRIZZO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Interno)
                    .HasColumnName("INTERNO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.LastAccessDataStamp)
                    .HasColumnName("LAST_ACCESS_DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.LastAccessTimeStamp)
                    .HasColumnName("LAST_ACCESS_TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.Matricola)
                    .HasColumnName("MATRICOLA")
                    .HasMaxLength(4)
                    .IsUnicode(false);

                entity.Property(e => e.Name)
                    .HasColumnName("NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NoDipendente)
                    .HasColumnName("NO_DIPENDENTE")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Provenienza)
                    .HasColumnName("PROVENIENZA")
                    .HasMaxLength(10)
                    .IsUnicode(false);

                entity.Property(e => e.Provincia)
                    .HasColumnName("PROVINCIA")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Remove)
                    .HasColumnName("REMOVE")
                    .HasMaxLength(1)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.Reperibile)
                    .HasColumnName("REPERIBILE")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Ruolo)
                    .HasColumnName("RUOLO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Surname)
                    .HasColumnName("SURNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Telefono)
                    .HasColumnName("TELEFONO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.Username)
                    .HasColumnName("USERNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);
            });

            modelBuilder.Entity<TestAuthRole>(entity =>
            {
                entity.ToTable("TEST_AUTH_ROLE", "PRODUZIONE");

                entity.Property(e => e.Id)
                    .HasColumnName("ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.Name)
                    .HasColumnName("NAME")
                    .HasMaxLength(30)
                    .IsUnicode(false);
            });

            modelBuilder.Entity<TestAuthUser>(entity =>
            {
                entity.HasKey(e => e.AccountId);

                entity.ToTable("TEST_AUTH_USER", "PRODUZIONE");

                entity.Property(e => e.AccountId)
                    .HasColumnName("ACCOUNT_ID")
                    .ValueGeneratedNever();

                entity.Property(e => e.AccountNumber)
                    .HasColumnName("ACCOUNT_NUMBER")
                    .ValueGeneratedOnAdd();

                entity.Property(e => e.Azienda)
                    .HasColumnName("AZIENDA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Email)
                    .HasColumnName("EMAIL")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Name)
                    .HasColumnName("NAME")
                    .HasMaxLength(2555)
                    .IsUnicode(false);

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.Password)
                    .HasColumnName("PASSWORD")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Personal)
                    .HasColumnName("PERSONAL")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Profilo)
                    .HasColumnName("PROFILO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Protocol)
                    .IsRequired()
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.RagioneSociale)
                    .HasColumnName("RAGIONE_SOCIALE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Regione)
                    .HasColumnName("REGIONE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Regione2)
                    .HasColumnName("REGIONE_2")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Role)
                    .HasColumnName("ROLE")
                    .HasMaxLength(20)
                    .IsUnicode(false);

                entity.Property(e => e.Surname)
                    .HasColumnName("SURNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Telephone)
                    .HasColumnName("TELEPHONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.Username)
                    .HasColumnName("USERNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);
            });

            modelBuilder.Entity<TtkAccount>(entity =>
            {
                entity.HasKey(e => new { e.AccountId, e.AccountNumber, e.Protocol })
                    .HasName("PK_TTK_ACCOUNT_2");

                entity.ToTable("TTK_ACCOUNT", "PRODUZIONE");

                entity.Property(e => e.AccountId)
                    .HasColumnName("ACCOUNT_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.AccountNumber)
                    .HasColumnName("ACCOUNT_NUMBER")
                    .ValueGeneratedOnAdd();

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.Azienda)
                    .HasColumnName("AZIENDA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Email)
                    .HasColumnName("EMAIL")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Name)
                    .HasColumnName("NAME")
                    .HasMaxLength(2555)
                    .IsUnicode(false);

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.Password)
                    .HasColumnName("PASSWORD")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Personal)
                    .HasColumnName("PERSONAL")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Profilo)
                    .HasColumnName("PROFILO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.RagioneSociale)
                    .HasColumnName("RAGIONE_SOCIALE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Regione)
                    .HasColumnName("REGIONE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Regione2)
                    .HasColumnName("REGIONE_2")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Surname)
                    .HasColumnName("SURNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Telephone)
                    .HasColumnName("TELEPHONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.Username)
                    .HasColumnName("USERNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);
            });

            modelBuilder.Entity<TtkAccountCat>(entity =>
            {
                entity.HasKey(e => new { e.AccountCatId, e.Protocol });

                entity.ToTable("TTK_ACCOUNT_CAT", "PRODUZIONE");

                entity.Property(e => e.AccountCatId)
                    .HasColumnName("ACCOUNT_CAT_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.AccountId).HasColumnName("ACCOUNT_ID");

                entity.Property(e => e.CatNumber)
                    .HasColumnName("CAT_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();
            });

            modelBuilder.Entity<TtkActivity>(entity =>
            {
                entity.HasKey(e => new { e.ActivityId, e.ActivityNumber, e.Protocol })
                    .HasName("PK_TTK_ACTIVITY_1");

                entity.ToTable("TTK_ACTIVITY", "PRODUZIONE");

                entity.Property(e => e.ActivityId)
                    .HasColumnName("ACTIVITY_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.ActivityNumber)
                    .HasColumnName("ACTIVITY_NUMBER")
                    .ValueGeneratedOnAdd();

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.ActivityClass)
                    .HasColumnName("ACTIVITY_CLASS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Appuntamento)
                    .HasColumnName("APPUNTAMENTO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Cap)
                    .HasColumnName("CAP")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CatNumber)
                    .HasColumnName("CAT_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.City)
                    .HasColumnName("CITY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientAddress)
                    .HasColumnName("CLIENT_ADDRESS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientPosName)
                    .HasColumnName("CLIENT_POS_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefEmail)
                    .HasColumnName("CLIENT_REF_EMAIL")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefName)
                    .HasColumnName("CLIENT_REF_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Cost)
                    .HasColumnName("COST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Description)
                    .HasColumnName("DESCRIPTION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Detail)
                    .HasColumnName("DETAIL")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.EffectiveHours)
                    .HasColumnName("EFFECTIVE_HOURS")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.EndActivity)
                    .HasColumnName("END_ACTIVITY")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Esito)
                    .HasColumnName("ESITO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Extra)
                    .HasColumnName("EXTRA")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClass)
                    .HasColumnName("FAILURE_CLASS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClassNote)
                    .HasColumnName("FAILURE_CLASS_NOTE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.FineDisservizio)
                    .HasColumnName("FINE_DISSERVIZIO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FlowId).HasColumnName("FLOW_ID");

                entity.Property(e => e.Host)
                    .HasColumnName("HOST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.IdIntervento)
                    .HasColumnName("ID_INTERVENTO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem01)
                    .HasColumnName("IN_ITEM_01")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem01Sn)
                    .HasColumnName("IN_ITEM_01_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem02)
                    .HasColumnName("IN_ITEM_02")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem02Sn)
                    .HasColumnName("IN_ITEM_02_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem03)
                    .HasColumnName("IN_ITEM_03")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem03Sn)
                    .HasColumnName("IN_ITEM_03_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem04)
                    .HasColumnName("IN_ITEM_04")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem04Sn)
                    .HasColumnName("IN_ITEM_04_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem05)
                    .HasColumnName("IN_ITEM_05")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem05Sn)
                    .HasColumnName("IN_ITEM_05_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem06)
                    .HasColumnName("IN_ITEM_06")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem06Sn)
                    .HasColumnName("IN_ITEM_06_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem07)
                    .HasColumnName("IN_ITEM_07")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem07Sn)
                    .HasColumnName("IN_ITEM_07_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem08)
                    .HasColumnName("IN_ITEM_08")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.InItem08Sn)
                    .HasColumnName("IN_ITEM_08_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Invoice)
                    .HasColumnName("INVOICE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ItemRemoved)
                    .HasColumnName("ITEM_REMOVED")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Latitudine)
                    .HasColumnName("LATITUDINE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Longitudine)
                    .HasColumnName("LONGITUDINE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Luogo)
                    .HasColumnName("LUOGO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.Mail)
                    .HasColumnName("MAIL")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.MailDataStamp)
                    .HasColumnName("MAIL_DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.MailTimeStamp)
                    .HasColumnName("MAIL_TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.MonthReference)
                    .HasColumnName("MONTH_REFERENCE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.NoteQualificazione)
                    .HasColumnName("NOTE_QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Onsite)
                    .HasColumnName("ONSITE")
                    .HasMaxLength(16)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem01)
                    .HasColumnName("OUT_ITEM_01")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem01Sn)
                    .HasColumnName("OUT_ITEM_01_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem02)
                    .HasColumnName("OUT_ITEM_02")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem02Sn)
                    .HasColumnName("OUT_ITEM_02_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem03)
                    .HasColumnName("OUT_ITEM_03")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem03Sn)
                    .HasColumnName("OUT_ITEM_03_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem04)
                    .HasColumnName("OUT_ITEM_04")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem04Sn)
                    .HasColumnName("OUT_ITEM_04_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem05)
                    .HasColumnName("OUT_ITEM_05")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem05Sn)
                    .HasColumnName("OUT_ITEM_05_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem06)
                    .HasColumnName("OUT_ITEM_06")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem06Sn)
                    .HasColumnName("OUT_ITEM_06_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem07)
                    .HasColumnName("OUT_ITEM_07")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem07Sn)
                    .HasColumnName("OUT_ITEM_07_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem08)
                    .HasColumnName("OUT_ITEM_08")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.OutItem08Sn)
                    .HasColumnName("OUT_ITEM_08_SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.PerformedBy)
                    .HasColumnName("PERFORMED_BY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ProductCiscoCase)
                    .HasColumnName("PRODUCT_CISCO_CASE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Province)
                    .HasColumnName("PROVINCE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Qualificazione)
                    .HasColumnName("QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Region)
                    .HasColumnName("REGION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Sla)
                    .HasColumnName("SLA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Sn)
                    .HasColumnName("SN")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev01)
                    .HasColumnName("SOST_PREV_01")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev02)
                    .HasColumnName("SOST_PREV_02")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev03)
                    .HasColumnName("SOST_PREV_03")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev04)
                    .HasColumnName("SOST_PREV_04")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev05)
                    .HasColumnName("SOST_PREV_05")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev06)
                    .HasColumnName("SOST_PREV_06")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev07)
                    .HasColumnName("SOST_PREV_07")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SostPrev08)
                    .HasColumnName("SOST_PREV_08")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.SpecialInstructions)
                    .HasColumnName("SPECIAL_INSTRUCTIONS")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.StartActivity)
                    .HasColumnName("START_ACTIVITY")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Struttura)
                    .HasColumnName("STRUTTURA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Test)
                    .HasColumnName("TEST")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.TestReference)
                    .HasColumnName("TEST_REFERENCE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType01)
                    .HasColumnName("THIRD_ID_TYPE_01")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType02)
                    .HasColumnName("THIRD_ID_TYPE_02")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.TicketCode01)
                    .HasColumnName("TICKET_CODE_01")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TicketCode02)
                    .HasColumnName("TICKET_CODE_02")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TicketId).HasColumnName("TICKET_ID");

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.UserId).HasColumnName("USER_ID");

                entity.Property(e => e.Validate)
                    .HasColumnName("VALIDATE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor01)
                    .HasColumnName("VENDOR_01")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor02)
                    .HasColumnName("VENDOR_02")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor03)
                    .HasColumnName("VENDOR_03")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor04)
                    .HasColumnName("VENDOR_04")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor05)
                    .HasColumnName("VENDOR_05")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor06)
                    .HasColumnName("VENDOR_06")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor07)
                    .HasColumnName("VENDOR_07")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Vendor08)
                    .HasColumnName("VENDOR_08")
                    .HasMaxLength(255)
                    .IsUnicode(false);
            });

            modelBuilder.Entity<TtkFlow>(entity =>
            {
                entity.HasKey(e => new { e.FlowId, e.Protocol })
                    .HasName("PK_TTK_FLOW_1");

                entity.ToTable("TTK_FLOW", "PRODUZIONE");

                entity.Property(e => e.FlowId)
                    .HasColumnName("FLOW_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.Description)
                    .HasColumnName("DESCRIPTION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.FlowType)
                    .HasColumnName("FLOW_TYPE")
                    .HasMaxLength(80)
                    .IsUnicode(false);

                entity.Property(e => e.Route).HasColumnName("ROUTE");
            });

            modelBuilder.Entity<TtkHistory>(entity =>
            {
                entity.HasKey(e => new { e.HistoryId, e.Protocol, e.FlowId, e.ExFlowId, e.UserId })
                    .HasName("PK_TTK_HISTORY_1");

                entity.ToTable("TTK_HISTORY", "PRODUZIONE");

                entity.Property(e => e.HistoryId)
                    .HasColumnName("HISTORY_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.FlowId).HasColumnName("FLOW_ID");

                entity.Property(e => e.ExFlowId).HasColumnName("EX_FLOW_ID");

                entity.Property(e => e.UserId).HasColumnName("USER_ID");

                entity.Property(e => e.AccountId).HasColumnName("ACCOUNT_ID");

                entity.Property(e => e.ActivityId).HasColumnName("ACTIVITY_ID");

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DataTimeStamp)
                    .HasColumnName("DATA_TIME_STAMP")
                    .HasColumnType("datetime");

                entity.Property(e => e.Description)
                    .HasColumnName("DESCRIPTION")
                    .HasColumnType("ntext");

                entity.Property(e => e.HistoryDate)
                    .HasColumnName("HISTORY_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.HistoryHour)
                    .HasColumnName("HISTORY_HOUR")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.HistoryOrder)
                    .HasColumnName("HISTORY_ORDER")
                    .ValueGeneratedOnAdd();

                entity.Property(e => e.MdrId).HasColumnName("MDR_ID");

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.ServiceRequestId).HasColumnName("SERVICE_REQUEST_ID");

                entity.Property(e => e.TicketId).HasColumnName("TICKET_ID");

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();
            });

            modelBuilder.Entity<TtkServiceRequest>(entity =>
            {
                entity.HasKey(e => new { e.ServiceRequestId, e.ServiceRequestNumber, e.Protocol });

                entity.ToTable("TTK_SERVICE_REQUEST", "PRODUZIONE");

                entity.Property(e => e.ServiceRequestId)
                    .HasColumnName("SERVICE_REQUEST_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.ServiceRequestNumber)
                    .HasColumnName("SERVICE_REQUEST_NUMBER")
                    .ValueGeneratedOnAdd();

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.CatNumber)
                    .HasColumnName("CAT_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientAddress)
                    .HasColumnName("CLIENT_ADDRESS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCap)
                    .HasColumnName("CLIENT_CAP")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCity)
                    .HasColumnName("CLIENT_CITY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientPosName)
                    .HasColumnName("CLIENT_POS_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientProvince)
                    .HasColumnName("CLIENT_PROVINCE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefEmail)
                    .HasColumnName("CLIENT_REF_EMAIL")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefName)
                    .HasColumnName("CLIENT_REF_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRegion)
                    .HasColumnName("CLIENT_REGION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CodiceSla)
                    .HasColumnName("CODICE_SLA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Detail)
                    .HasColumnName("DETAIL")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.EndDate)
                    .HasColumnName("END_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FlowId).HasColumnName("FLOW_ID");

                entity.Property(e => e.Gettoni)
                    .HasColumnName("GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Host)
                    .HasColumnName("HOST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.MotivazioneChiusura)
                    .HasColumnName("MOTIVAZIONE_CHIUSURA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.ProductDescription)
                    .HasColumnName("PRODUCT_DESCRIPTION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.SerialNumber)
                    .HasColumnName("SERIAL_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ServiceEnd)
                    .HasColumnName("SERVICE_END")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.ServiceStart)
                    .HasColumnName("SERVICE_START")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Sito)
                    .HasColumnName("SITO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Sla)
                    .HasColumnName("SLA")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.StartDate)
                    .HasColumnName("START_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Technology)
                    .HasColumnName("TECHNOLOGY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType01)
                    .HasColumnName("THIRD_ID_TYPE_01")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType02)
                    .HasColumnName("THIRD_ID_TYPE_02")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TicketCode)
                    .HasColumnName("TICKET_CODE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.TipoGettoni)
                    .HasColumnName("TIPO_GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TipoServizio)
                    .HasColumnName("TIPO_SERVIZIO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TypeRequest)
                    .HasColumnName("TYPE_REQUEST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.UserId).HasColumnName("USER_ID");
            });

            modelBuilder.Entity<TtkTicket>(entity =>
            {
                entity.HasKey(e => new { e.TicketId, e.TicketNumber, e.Protocol })
                    .HasName("PK_TTK_TICKETS");

                entity.ToTable("TTK_TICKET", "PRODUZIONE");

                entity.Property(e => e.TicketId)
                    .HasColumnName("TICKET_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.TicketNumber)
                    .HasColumnName("TICKET_NUMBER")
                    .ValueGeneratedOnAdd();

                entity.Property(e => e.Protocol)
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.AccettazioneTtm)
                    .HasColumnName("ACCETTAZIONE_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.CatNumber)
                    .HasColumnName("CAT_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CausaleIntervento)
                    .HasColumnName("CAUSALE_INTERVENTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.CausaleRipristino)
                    .HasColumnName("CAUSALE_RIPRISTINO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ChiusuraTtm)
                    .HasColumnName("CHIUSURA_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Classificazione)
                    .HasColumnName("CLASSIFICAZIONE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientAddress)
                    .HasColumnName("CLIENT_ADDRESS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCap)
                    .HasColumnName("CLIENT_CAP")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCity)
                    .HasColumnName("CLIENT_CITY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientPosName)
                    .HasColumnName("CLIENT_POS_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientProvince)
                    .HasColumnName("CLIENT_PROVINCE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefEmail)
                    .HasColumnName("CLIENT_REF_EMAIL")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefName)
                    .HasColumnName("CLIENT_REF_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRegion)
                    .HasColumnName("CLIENT_REGION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CodiceSla)
                    .HasColumnName("CODICE_SLA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Competence)
                    .HasColumnName("COMPETENCE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataAppuntamento)
                    .HasColumnName("DATA_APPUNTAMENTO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DataSegnalazione)
                    .HasColumnName("DATA_SEGNALAZIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Detail)
                    .HasColumnName("DETAIL")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.DetailThird)
                    .HasColumnName("DETAIL_THIRD")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.EndDate)
                    .HasColumnName("END_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.EndSospensione)
                    .HasColumnName("END_SOSPENSIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Esito)
                    .HasColumnName("ESITO")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClass)
                    .HasColumnName("FAILURE_CLASS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClassNote)
                    .HasColumnName("FAILURE_CLASS_NOTE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Fascia)
                    .HasColumnName("FASCIA")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.FineSosp01)
                    .HasColumnName("FINE_SOSP_01")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp02)
                    .HasColumnName("FINE_SOSP_02")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp03)
                    .HasColumnName("FINE_SOSP_03")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp04)
                    .HasColumnName("FINE_SOSP_04")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FlowId).HasColumnName("FLOW_ID");

                entity.Property(e => e.Garanzia)
                    .HasColumnName("GARANZIA")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Gettoni)
                    .HasColumnName("GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Host)
                    .HasColumnName("HOST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.IdIntervento)
                    .HasColumnName("ID_INTERVENTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.InizioSosp01)
                    .HasColumnName("INIZIO_SOSP_01")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp02)
                    .HasColumnName("INIZIO_SOSP_02")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp03)
                    .HasColumnName("INIZIO_SOSP_03")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp04)
                    .HasColumnName("INIZIO_SOSP_04")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.IsoleMinori)
                    .HasColumnName("ISOLE_MINORI")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.LimiteIntervento)
                    .HasColumnName("LIMITE_INTERVENTO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.LimiteRipristino)
                    .HasColumnName("LIMITE_RIPRISTINO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Logoff)
                    .HasColumnName("LOGOFF")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Logon)
                    .HasColumnName("LOGON")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.MotivoSospensione)
                    .HasColumnName("MOTIVO_SOSPENSIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.NoteCliente)
                    .HasColumnName("NOTE_CLIENTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.NoteIntervento)
                    .HasColumnName("NOTE_INTERVENTO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NoteQualificazione)
                    .HasColumnName("NOTE_QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NoteRipristino)
                    .HasColumnName("NOTE_RIPRISTINO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Number)
                    .HasColumnName("NUMBER")
                    .HasColumnType("decimal(18, 1)");

                entity.Property(e => e.Priority)
                    .HasColumnName("PRIORITY")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.PriorityClient)
                    .HasColumnName("PRIORITY_CLIENT")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.PriorityCna)
                    .HasColumnName("PRIORITY_CNA")
                    .HasMaxLength(250)
                    .IsUnicode(false);

                entity.Property(e => e.ProductCiscoCase)
                    .HasColumnName("PRODUCT_CISCO_CASE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ProductDescription)
                    .HasColumnName("PRODUCT_DESCRIPTION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Qualificazione)
                    .HasColumnName("QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.RefTicketId).HasColumnName("REF_TICKET_ID");

                entity.Property(e => e.RegistrazioneTtm)
                    .HasColumnName("REGISTRAZIONE_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Sdl)
                    .HasColumnName("SDL")
                    .HasMaxLength(15)
                    .IsUnicode(false);

                entity.Property(e => e.Sequenza)
                    .HasColumnName("SEQUENZA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.SerialNumber)
                    .HasColumnName("SERIAL_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ServiceEnd)
                    .HasColumnName("SERVICE_END")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.ServiceRequestId).HasColumnName("SERVICE_REQUEST_ID");

                entity.Property(e => e.ServiceStart)
                    .HasColumnName("SERVICE_START")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Sito)
                    .HasColumnName("SITO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Sla)
                    .HasColumnName("SLA")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.StartDate)
                    .HasColumnName("START_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.StartSospensione)
                    .HasColumnName("START_SOSPENSIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Summary)
                    .HasColumnName("SUMMARY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Tassativo)
                    .HasColumnName("TASSATIVO")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.TckForcedNote)
                    .HasColumnName("TCK_FORCED_NOTE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Technology)
                    .HasColumnName("TECHNOLOGY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType01)
                    .HasColumnName("THIRD_ID_TYPE_01")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType02)
                    .HasColumnName("THIRD_ID_TYPE_02")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TicketCode)
                    .HasColumnName("TICKET_CODE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.TipoContratto)
                    .HasColumnName("TIPO_CONTRATTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TipoGettoni)
                    .HasColumnName("TIPO_GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TipoGuasto)
                    .HasColumnName("TIPO_GUASTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TipoServizio)
                    .HasColumnName("TIPO_SERVIZIO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Tipologia)
                    .HasColumnName("TIPOLOGIA")
                    .HasMaxLength(250)
                    .IsUnicode(false);

                entity.Property(e => e.Type)
                    .HasColumnName("TYPE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TypeRequest)
                    .HasColumnName("TYPE_REQUEST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Urgency)
                    .HasColumnName("URGENCY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.UserId).HasColumnName("USER_ID");

                entity.Property(e => e.Valenza).HasColumnName("VALENZA");
            });

            modelBuilder.Entity<TtkTicketHistory>(entity =>
            {
                entity.HasKey(e => e.TicketHistoryId)
                    .HasName("PK_TTK_TICKET_HISTORY_TICKET_HISTORY_ID");

                entity.ToTable("TTK_TICKET_HISTORY", "PRODUZIONE");

                entity.Property(e => e.TicketHistoryId)
                    .HasColumnName("TICKET_HISTORY_ID")
                    .HasDefaultValueSql("(newid())");

                entity.Property(e => e.AccettazioneTtm)
                    .HasColumnName("ACCETTAZIONE_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.CatNumber)
                    .HasColumnName("CAT_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CausaleIntervento)
                    .HasColumnName("CAUSALE_INTERVENTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.CausaleRipristino)
                    .HasColumnName("CAUSALE_RIPRISTINO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ChangeNumber).HasColumnName("CHANGE_NUMBER");

                entity.Property(e => e.ChiusuraTtm)
                    .HasColumnName("CHIUSURA_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Classificazione)
                    .HasColumnName("CLASSIFICAZIONE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientAddress)
                    .HasColumnName("CLIENT_ADDRESS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCap)
                    .HasColumnName("CLIENT_CAP")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCity)
                    .HasColumnName("CLIENT_CITY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientPosName)
                    .HasColumnName("CLIENT_POS_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientPosTelephone)
                    .HasColumnName("CLIENT_POS_TELEPHONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientProvince)
                    .HasColumnName("CLIENT_PROVINCE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefEmail)
                    .HasColumnName("CLIENT_REF_EMAIL")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefName)
                    .HasColumnName("CLIENT_REF_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefTelephone)
                    .HasColumnName("CLIENT_REF_TELEPHONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRegion)
                    .HasColumnName("CLIENT_REGION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CodiceSla)
                    .HasColumnName("CODICE_SLA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Competence)
                    .HasColumnName("COMPETENCE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataAppuntamento)
                    .HasColumnName("DATA_APPUNTAMENTO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DataSegnalazione)
                    .HasColumnName("DATA_SEGNALAZIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Detail)
                    .HasColumnName("DETAIL")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.DetailThird)
                    .HasColumnName("DETAIL_THIRD")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.EndDate)
                    .HasColumnName("END_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.EndSospensione)
                    .HasColumnName("END_SOSPENSIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Esito)
                    .HasColumnName("ESITO")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClass)
                    .HasColumnName("FAILURE_CLASS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClassNote)
                    .HasColumnName("FAILURE_CLASS_NOTE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Fascia)
                    .HasColumnName("FASCIA")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.FineSosp01)
                    .HasColumnName("FINE_SOSP_01")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp02)
                    .HasColumnName("FINE_SOSP_02")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp03)
                    .HasColumnName("FINE_SOSP_03")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp04)
                    .HasColumnName("FINE_SOSP_04")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FlowId).HasColumnName("FLOW_ID");

                entity.Property(e => e.Garanzia)
                    .HasColumnName("GARANZIA")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Gettoni)
                    .HasColumnName("GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Host)
                    .HasColumnName("HOST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.IdIntervento)
                    .HasColumnName("ID_INTERVENTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.InizioSosp01)
                    .HasColumnName("INIZIO_SOSP_01")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp02)
                    .HasColumnName("INIZIO_SOSP_02")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp03)
                    .HasColumnName("INIZIO_SOSP_03")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp04)
                    .HasColumnName("INIZIO_SOSP_04")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.IsoleMinori)
                    .HasColumnName("ISOLE_MINORI")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.LimiteIntervento)
                    .HasColumnName("LIMITE_INTERVENTO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.LimiteRipristino)
                    .HasColumnName("LIMITE_RIPRISTINO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Logoff)
                    .HasColumnName("LOGOFF")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Logon)
                    .HasColumnName("LOGON")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.MotivoSospensione)
                    .HasColumnName("MOTIVO_SOSPENSIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.NoteCliente)
                    .HasColumnName("NOTE_CLIENTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.NoteIntervento)
                    .HasColumnName("NOTE_INTERVENTO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NoteQualificazione)
                    .HasColumnName("NOTE_QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NoteRipristino)
                    .HasColumnName("NOTE_RIPRISTINO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Number)
                    .HasColumnName("NUMBER")
                    .HasColumnType("decimal(18, 1)");

                entity.Property(e => e.Priority)
                    .HasColumnName("PRIORITY")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.PriorityClient)
                    .HasColumnName("PRIORITY_CLIENT")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.PriorityCna)
                    .HasColumnName("PRIORITY_CNA")
                    .HasMaxLength(250)
                    .IsUnicode(false);

                entity.Property(e => e.ProductCiscoCase)
                    .HasColumnName("PRODUCT_CISCO_CASE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ProductDescription)
                    .HasColumnName("PRODUCT_DESCRIPTION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Protocol)
                    .IsRequired()
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.Qualificazione)
                    .HasColumnName("QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.RefTicketId).HasColumnName("REF_TICKET_ID");

                entity.Property(e => e.RegistrazioneTtm)
                    .HasColumnName("REGISTRAZIONE_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Sdl)
                    .HasColumnName("SDL")
                    .HasMaxLength(15)
                    .IsUnicode(false);

                entity.Property(e => e.Sequenza)
                    .HasColumnName("SEQUENZA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.SerialNumber)
                    .HasColumnName("SERIAL_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ServiceEnd)
                    .HasColumnName("SERVICE_END")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.ServiceRequestId).HasColumnName("SERVICE_REQUEST_ID");

                entity.Property(e => e.ServiceStart)
                    .HasColumnName("SERVICE_START")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Sito)
                    .HasColumnName("SITO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Sla)
                    .HasColumnName("SLA")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.StartDate)
                    .HasColumnName("START_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.StartSospensione)
                    .HasColumnName("START_SOSPENSIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Summary)
                    .HasColumnName("SUMMARY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Tassativo)
                    .HasColumnName("TASSATIVO")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.TckForcedNote)
                    .HasColumnName("TCK_FORCED_NOTE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Technology)
                    .HasColumnName("TECHNOLOGY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType01)
                    .HasColumnName("THIRD_ID_TYPE_01")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType02)
                    .HasColumnName("THIRD_ID_TYPE_02")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TicketCode)
                    .HasColumnName("TICKET_CODE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TicketId).HasColumnName("TICKET_ID");

                entity.Property(e => e.TicketNumber).HasColumnName("TICKET_NUMBER");

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.TipoContratto)
                    .HasColumnName("TIPO_CONTRATTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TipoGettoni)
                    .HasColumnName("TIPO_GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TipoGuasto)
                    .HasColumnName("TIPO_GUASTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TipoServizio)
                    .HasColumnName("TIPO_SERVIZIO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Tipologia)
                    .HasColumnName("TIPOLOGIA")
                    .HasMaxLength(250)
                    .IsUnicode(false);

                entity.Property(e => e.Type)
                    .HasColumnName("TYPE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TypeRequest)
                    .HasColumnName("TYPE_REQUEST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Urgency)
                    .HasColumnName("URGENCY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.UserId).HasColumnName("USER_ID");

                entity.Property(e => e.Valenza).HasColumnName("VALENZA");
            });

            modelBuilder.Entity<TtkTicketView01>(entity =>
            {
                entity.HasNoKey();

                entity.ToView("TTK_TICKET_VIEW_01", "PRODUZIONE");

                entity.Property(e => e.AccettazioneTtm)
                    .HasColumnName("ACCETTAZIONE_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.CatNumber)
                    .HasColumnName("CAT_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CausaleIntervento)
                    .HasColumnName("CAUSALE_INTERVENTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.CausaleRipristino)
                    .HasColumnName("CAUSALE_RIPRISTINO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ChiusuraTtm)
                    .HasColumnName("CHIUSURA_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Classificazione)
                    .HasColumnName("CLASSIFICAZIONE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientAddress)
                    .HasColumnName("CLIENT_ADDRESS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCap)
                    .HasColumnName("CLIENT_CAP")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientCity)
                    .HasColumnName("CLIENT_CITY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientPosName)
                    .HasColumnName("CLIENT_POS_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientProvince)
                    .HasColumnName("CLIENT_PROVINCE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefEmail)
                    .HasColumnName("CLIENT_REF_EMAIL")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRefName)
                    .HasColumnName("CLIENT_REF_NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ClientRegion)
                    .HasColumnName("CLIENT_REGION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.CodiceSla)
                    .HasColumnName("CODICE_SLA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Competence)
                    .HasColumnName("COMPETENCE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.DataAppuntamento)
                    .HasColumnName("DATA_APPUNTAMENTO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DataSegnalazione)
                    .HasColumnName("DATA_SEGNALAZIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.DataStamp)
                    .HasColumnName("DATA_STAMP")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Description)
                    .HasColumnName("DESCRIPTION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Detail)
                    .HasColumnName("DETAIL")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.DetailThird)
                    .HasColumnName("DETAIL_THIRD")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.EndDate)
                    .HasColumnName("END_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.EndSospensione)
                    .HasColumnName("END_SOSPENSIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Esito)
                    .HasColumnName("ESITO")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClass)
                    .HasColumnName("FAILURE_CLASS")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.FailureClassNote)
                    .HasColumnName("FAILURE_CLASS_NOTE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Fascia)
                    .HasColumnName("FASCIA")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.FineSosp01)
                    .HasColumnName("FINE_SOSP_01")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp02)
                    .HasColumnName("FINE_SOSP_02")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp03)
                    .HasColumnName("FINE_SOSP_03")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FineSosp04)
                    .HasColumnName("FINE_SOSP_04")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.FlowId).HasColumnName("FLOW_ID");

                entity.Property(e => e.Garanzia)
                    .HasColumnName("GARANZIA")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.Gettoni)
                    .HasColumnName("GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Host)
                    .HasColumnName("HOST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.IdIntervento)
                    .HasColumnName("ID_INTERVENTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.InizioSosp01)
                    .HasColumnName("INIZIO_SOSP_01")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp02)
                    .HasColumnName("INIZIO_SOSP_02")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp03)
                    .HasColumnName("INIZIO_SOSP_03")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.InizioSosp04)
                    .HasColumnName("INIZIO_SOSP_04")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.IsoleMinori)
                    .HasColumnName("ISOLE_MINORI")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.LimiteIntervento)
                    .HasColumnName("LIMITE_INTERVENTO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.LimiteRipristino)
                    .HasColumnName("LIMITE_RIPRISTINO")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Logoff)
                    .HasColumnName("LOGOFF")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Logon)
                    .HasColumnName("LOGON")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.MotivoSospensione)
                    .HasColumnName("MOTIVO_SOSPENSIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Name)
                    .HasColumnName("NAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NameSurname)
                    .HasColumnName("NAME_SURNAME")
                    .HasMaxLength(511)
                    .IsUnicode(false);

                entity.Property(e => e.Note)
                    .HasColumnName("NOTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.NoteCliente)
                    .HasColumnName("NOTE_CLIENTE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.NoteIntervento)
                    .HasColumnName("NOTE_INTERVENTO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NoteQualificazione)
                    .HasColumnName("NOTE_QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.NoteRipristino)
                    .HasColumnName("NOTE_RIPRISTINO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Number)
                    .HasColumnName("NUMBER")
                    .HasColumnType("decimal(18, 1)");

                entity.Property(e => e.Priority)
                    .HasColumnName("PRIORITY")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.PriorityClient)
                    .HasColumnName("PRIORITY_CLIENT")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.PriorityCna)
                    .HasColumnName("PRIORITY_CNA")
                    .HasMaxLength(250)
                    .IsUnicode(false);

                entity.Property(e => e.ProductCiscoCase)
                    .HasColumnName("PRODUCT_CISCO_CASE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ProductDescription)
                    .HasColumnName("PRODUCT_DESCRIPTION")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Protocol)
                    .IsRequired()
                    .HasColumnName("PROTOCOL")
                    .HasMaxLength(17)
                    .IsUnicode(false)
                    .IsFixedLength();

                entity.Property(e => e.Qualificazione)
                    .HasColumnName("QUALIFICAZIONE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.RefTicketId).HasColumnName("REF_TICKET_ID");

                entity.Property(e => e.RegistrazioneTtm)
                    .HasColumnName("REGISTRAZIONE_TTM")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Sdl)
                    .HasColumnName("SDL")
                    .HasMaxLength(15)
                    .IsUnicode(false);

                entity.Property(e => e.Sequenza)
                    .HasColumnName("SEQUENZA")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.SerialNumber)
                    .HasColumnName("SERIAL_NUMBER")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ServiceEnd)
                    .HasColumnName("SERVICE_END")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.ServiceRequestId).HasColumnName("SERVICE_REQUEST_ID");

                entity.Property(e => e.ServiceStart)
                    .HasColumnName("SERVICE_START")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Sito)
                    .HasColumnName("SITO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Sla)
                    .HasColumnName("SLA")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.SrCode)
                    .HasColumnName("SR_CODE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.StartDate)
                    .HasColumnName("START_DATE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.StartSospensione)
                    .HasColumnName("START_SOSPENSIONE")
                    .HasColumnType("smalldatetime");

                entity.Property(e => e.Summary)
                    .HasColumnName("SUMMARY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Surname)
                    .HasColumnName("SURNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Tassativo)
                    .HasColumnName("TASSATIVO")
                    .HasMaxLength(1)
                    .IsUnicode(false);

                entity.Property(e => e.TckForcedNote)
                    .HasColumnName("TCK_FORCED_NOTE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Technology)
                    .HasColumnName("TECHNOLOGY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType01)
                    .HasColumnName("THIRD_ID_TYPE_01")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.ThirdIdType02)
                    .HasColumnName("THIRD_ID_TYPE_02")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TicketCode)
                    .HasColumnName("TICKET_CODE")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TicketId).HasColumnName("TICKET_ID");

                entity.Property(e => e.TicketNumber).HasColumnName("TICKET_NUMBER");

                entity.Property(e => e.TimeStamp)
                    .HasColumnName("TIME_STAMP")
                    .HasMaxLength(10)
                    .IsFixedLength();

                entity.Property(e => e.TipoContratto)
                    .HasColumnName("TIPO_CONTRATTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TipoGettoni)
                    .HasColumnName("TIPO_GETTONI")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TipoGuasto)
                    .HasColumnName("TIPO_GUASTO")
                    .HasMaxLength(50)
                    .IsUnicode(false);

                entity.Property(e => e.TipoServizio)
                    .HasColumnName("TIPO_SERVIZIO")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Tipologia)
                    .HasColumnName("TIPOLOGIA")
                    .HasMaxLength(250)
                    .IsUnicode(false);

                entity.Property(e => e.TtkCode)
                    .HasColumnName("TTK_CODE")
                    .HasMaxLength(8000)
                    .IsUnicode(false);

                entity.Property(e => e.Type)
                    .HasColumnName("TYPE")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.TypeRequest)
                    .HasColumnName("TYPE_REQUEST")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Urgency)
                    .HasColumnName("URGENCY")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.UserId).HasColumnName("USER_ID");

                entity.Property(e => e.Username)
                    .HasColumnName("USERNAME")
                    .HasMaxLength(255)
                    .IsUnicode(false);

                entity.Property(e => e.Valenza).HasColumnName("VALENZA");
            });

            OnModelCreatingPartial(modelBuilder);
        }

        partial void OnModelCreatingPartial(ModelBuilder modelBuilder);
    }
}
